Bug 247029 - graphics/mesa-libs: fails to build without PLATFORM_X11
Summary: graphics/mesa-libs: fails to build without PLATFORM_X11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-06-06 13:55 UTC by Jan Beich
Modified: 2020-09-17 09:23 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-06-06 13:55:03 UTC
$ make clean all WITHOUT=PLATFORM_X11 -C/usr/ports/graphics/mesa-libs
[...]
meson.build:342:4: ERROR: Problem encountered: Cannot build GLX support without X11 platform support and at least one OpenGL API
Comment 1 Emmanuel Vadot freebsd_committer 2020-06-09 09:49:14 UTC
Yes I'm aware of this issue.
I also haven't found a way to have libGL compile while GLX is disabled.
Comment 2 Greg V 2020-06-09 11:37:29 UTC
> I also haven't found a way to have libGL compile while GLX is disabled.

libGL to some degree *is* GLX.

With glvnd, you have libOpenGL for non-GLX usage. But most software expects libGL still.
Comment 3 commit-hook freebsd_committer 2020-09-17 09:23:03 UTC
A commit references this bug:

Author: manu
Date: Thu Sep 17 09:22:30 UTC 2020
New revision: 548829
URL: https://svnweb.freebsd.org/changeset/ports/548829

Log:
  mesa*: Only add x11 dependancy if it's requested

  This allow to have a full setup without any x11 deps.

  PR:	247029
  Reviewed by:	zeising
  Approved by:	x11 (zeising@)
  Differential Revision:	https://reviews.freebsd.org/D26438

Changes:
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/Makefile.common
  head/graphics/mesa-libs/Makefile
  head/graphics/mesa-libs/pkg-plist